
 <?php

    require_once ('../inventario/conexion.php');
 
       
      $serialtable = $_POST["serialtable"];
      $ip = $_POST['ip'];
      $sistemaoperativo = $_POST['sistemaoperativo'];
      $marcatable = $_POST['marcatable'];
      $procesador= $_POST['procesador'];
      $estado = $_POST['estado'];
      $memoria = $_POST['memoria'];
      $Cargadorserial = $_POST['Cargadorserial'];
       $obsevarcion = $_POST['obsevarcion'];
   
      
    $objconexion = new conexion();

    if(!empty($serialtable) && !empty($ip) && !empty($sistemaoperativo) && !empty($marcatable) && !empty($procesador) && !empty($estado) && !empty($memoria) && !empty($Cargadorserial) && !empty($obsevarcion)) 
   	// echo $return;
{
   

    $sentenciaupdate = "UPDATE tablets SET Serial_tablets='$serialtable', ip='$ip', sistema_operativo='$sistemaoperativo', marca_tablets='$marcatable', procesador='$procesador', estado_tablets='$estado', memoria='$memoria', cargador_serial='$Cargadorserial', fecha_ingreso = now()
        WHERE Serial_tablets='$serialtable'"; 

   //echo $sentenciaupdate ;

  //$objconexion -> consultararraynum($sentenciaupdate);
  $return = $objconexion->Ejecutar($sentenciaupdate);

 
    if($return==1)

        {
            echo '<script language="javascript" type="text/javascript">alert("Se Actualisaron los datos en la base de datos");
                  window.location ="ingresartablets.php";
                  </script>';
        }
        else
        {
            echo '<script language="javascript" type="text/javascript">alert("error en la Actualizacion");
                  window.location ="ingresartablets.php";
                  </script>';
         }
}


if(!empty($serialtable) && !empty($ip) && !empty($sistemaoperativo) && !empty($procesador) && !empty($marcatable) && !empty($estado) && !empty($memoria) && !empty($Cargadorserial) && !empty($obsevarcion))

{



  $SentenciaInsert2 = "INSERT INTO historial_tablets VALUES(null,'".$serialtable."','".$ip."','".$estado."','".$marcatable."','".$procesador."','".$sistemaoperativo."','".$memoria."','".$Cargadorserial."',null,now(),'".$obsevarcion."')";

  $return = $objconexion->Ejecutar($SentenciaInsert2);

  //echo $SentenciaInsert2;

    if($return==1 )
    {
        echo '<script language="javascript">alert("Se guardaron los datos en la base de datos")
              window.location = "ingresartablets.php";
            </script>';
        }
      else
      {
        echo '<script language="javascript">alert("error en la insercion")
              window.location = "ingresartablets.php";
              </script>';
         }
}

?>